// pdf2image_demoDlg.h : header file
//

#if !defined(AFX_PDF2IMAGE_DEMODLG_H__66B79F1B_A3AE_4908_AC91_90EF90B55715__INCLUDED_)
#define AFX_PDF2IMAGE_DEMODLG_H__66B79F1B_A3AE_4908_AC91_90EF90B55715__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "oak_define.h"

/////////////////////////////////////////////////////////////////////////////
// CPdf2image_demoDlg dialog

class CPdf2image_demoDlg : public CDialog
{
private:
//SDK interface definitions.
//For more,please refer to "oak_define.h"
//---------------------------------------------------------------------------
	HMODULE m_hDll;
	_oakBegin *oakBegin;
	_oakEnd *oakEnd;
	_oakExport *oakExport;
	_oakSetup *oakSetup;
	_oakGetPageTotal *oakGetPageTotal;

	BOOL LoadDLL();  //Load dynamic link library "pdf2image.dll"!
	BOOL FreeDLL();  //free dynamic link library "pdf2image.dll"!
//----------------------------------------------------------------------------

// Construction
public:
	CPdf2image_demoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPdf2image_demoDlg)
	enum { IDD = IDD_PDF2IMAGE_DEMO_DIALOG };
	CProgressCtrl	m_Progress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPdf2image_demoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPdf2image_demoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonDemo1();
	afx_msg void OnButtonDemo2();

	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PDF2IMAGE_DEMODLG_H__66B79F1B_A3AE_4908_AC91_90EF90B55715__INCLUDED_)
